Subject: Bug#657390: lintian: Please make build-arch and build-indep required targets

From: Niels Thykier <[email-masked]>
Date: Sat, 27 Feb 2016 20:01:15 +0000

On Wed, 28 Aug 2013 04:28:07 +0200 Guillem Jover <[email-masked]> wrote:
> Hi!
> 
> On Mon, 2013-08-26 at 09:58:33 +0200, Niels Thykier wrote:
> > [...]
> 
> Well, if we take into account the dynamics of normal transitions the
> remaining long tail usually takes a very long time to get done w/o
> active incentives.
> 

Indeed.  My estimate was based on the rate being sustained, which gets
increasingly more and more unlikely as there are fewer packages left.

For the record, we are now 2½ after the last mail (from me) and "only"
down to 1694 packages remaining.  In the past year, it has dropped by
about ~500 without any nagging.

> [...]
> 
> > [...]
> > 
> > So, the question is now - do we want to scale up the enforcement level,
> > and, if so, to what?  As mentioned earlier, I am willing to increase the
> > severity of the tag (provided it does not become an auto-reject overnight).
> 
> I think if we'd want to get this done relatively soon, then it needs
> "active herding". Increasing the lintian tag to a non auto-reject error,
> mails to debian-devel (or d-d-a) and possibly blog posts encouraging
> people to switch packages, someone to possibly handle it as a release
> goal to give it visibility, etc.
> 

No one ever confirmed that "E" tags are more likely to be fixed than "W"
tags.  That said, nagging people on d-d(-a) or via blog posts might help.
  Alternatively, if the FTP masters agree we could make it an
auto-reject tag.

> After a while, and depending on the amount still remaining, probably
> switching to more aggressive methods, like I described above would
> help with the remaining straddlers.
> 
> Thanks,
> Guillem

Indeed.

Thanks,
~Niels